   PROGRAM EXAMPLES
     INTEGER A(0:1)
     INTEGER AA(1000), B(1000), C(1000)
     INTEGER omp_get_thread_num 

     A(0) = -1
     A(1) = -1

!$OMP PARALLEL
     A(omp_get_thread_num()) = omp_get_thread_num()

!$OMP MASTER
     PRINT *, "YOU SHOULD ONLY SEE THIS ONCE"
!$OMP END MASTER

!$OMP DO
     DO I=1, 1000
        AA(I) = B(I) + C(I) + 10000 *J
     END DO
!$OMP END DO

!$OMP END PARALLEL
     PRINT *, "A(0)=",A(0), " A(1)=",A(1)
     END 

